601,100
562,"NULL"
586,
585,
564,
565,"yn8[\:=<QERqdDkAnLTBoPU@ga[V9vXl:T>rQO1?ohJj8kmsr7d\O1oRY>@R?aHomrKSRGZcRZ]L`ilLnJsqeBBUjFdq:[bJ1lWUBYU9XwI]bYFfB\>3Gg9qrnHZ<pzbKBeUPQ<utDYVc1df1K\:bVr9b<\HT1ynAiPm]kBR_3eDOubP`x<h0;e`gP5Fo0^v:Y>7_8]v"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,5
pAttribute
pAttributeType
pDefaultValue
pPlan
pVersion
561,5
2
2
2
2
2
590,5
pAttribute,""
pAttributeType,"S"
pDefaultValue,""
pPlan,"<ALL>"
pVersion,"<ALL>"
637,5
pAttribute,Attribute Name
pAttributeType,Attribute Type (S
pDefaultValue,Default Value
pPlan,Plan or <ALL>
pVersion,Version or <ALL>
577,0
578,0
579,0
580,0
581,0
582,0
572,90

#****Begin: Generated Statements***
#****End: Generated Statements****

IF (pAttribute @= '');
PROCESSBREAK;
ENDIF;

IF (pAttributeType @= '');
pAttributeType = 'S';
ENDIF;

IF (pPlan @= '');
pPlan = '<ALL>';
ENDIF;

IF (pVersion @= '');
pVersion = '<ALL>';
ENDIF;

vPlanDim = '}sm_plans';

IF (pPlan @= '<ALL>');

vPlanIndex = 1;
vPlanCount = DIMSIZ(vPlanDim);
WHILE (vPlanIndex <= vPlanCount);
vPlan = DIMNM(vPlanDim, vPlanIndex);

IF (pVersion @= '<ALL>');
IF (DIMENSIONEXISTS(vPlan) <> 0);
vVersionIndex = 1;
vVersionCount = DIMSIZ(vPlan);
WHILE (vVersionIndex <= vVersionCount);
vVersion = DIMNM(vPlan, vVersionIndex);

vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
ATTRINSERT(vVersionDim, '', pAttribute, pAttributeType);
ENDIF;

vVersionIndex = vVersionIndex + 1;
END;

ENDIF;

ELSE;
vVersion = pVersion;
vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
ATTRINSERT(vVersionDim, '', pAttribute, pAttributeType);
ENDIF;
ENDIF;

vPlanIndex = vPlanIndex + 1;
END;

ELSE;

IF (DIMIX(vPlanDim, pPlan) = 0);
PROCESSBREAK;
ENDIF;

vPlan = pPlan;
IF (pVersion @= '<ALL>');
IF (DIMENSIONEXISTS(vPlan) <> 0);
vVersionIndex = 1;
vVersionCount = DIMSIZ(vPlan);
WHILE (vVersionIndex <= vVersionCount);
vVersion = DIMNM(vPlan, vVersionIndex);

vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
ATTRINSERT(vVersionDim, '', pAttribute, pAttributeType);
ENDIF;

vVersionIndex = vVersionIndex + 1;
END;

ENDIF;

ELSE;
vVersion = pVersion;
vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
ATTRINSERT(vVersionDim, '', pAttribute, pAttributeType);
ENDIF;
ENDIF;

ENDIF;
573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,3

#****Begin: Generated Statements***
#****End: Generated Statements****
575,116

#****Begin: Generated Statements***
#****End: Generated Statements****

IF (pDefaultValue @<> '');
IF (pPlan @= '<ALL>');

vPlanIndex = 1;
vPlanCount = DIMSIZ(vPlanDim);
WHILE (vPlanIndex <= vPlanCount);
vPlan = DIMNM(vPlanDim, vPlanIndex);

IF (pVersion @= '<ALL>');
IF (DIMENSIONEXISTS(vPlan) <> 0);
vVersionIndex = 1;
vVersionCount = DIMSIZ(vPlan);
WHILE (vVersionIndex <= vVersionCount);
vVersion = DIMNM(vPlan, vVersionIndex);

vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
vIndex = 1;
vCount = DIMSIZ(vVersionDim);
WHILE (vIndex <= vCount);
vEle = DIMNM(vVersionDim, vIndex);
IF (pAttributeType @= 'N');
ATTRPUTN(NUMBR(pDefaultValue), vVersionDim, vEle, pAttribute);
ELSE;
ATTRPUTS(pDefaultValue, vVersionDim, vEle, pAttribute);
ENDIF;
vIndex = vIndex + 1;
END;
ENDIF;

vVersionIndex = vVersionIndex + 1;
END;

ENDIF;

ELSE;
vVersion = pVersion;
vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
vIndex = 1;
vCount = DIMSIZ(vVersionDim);
WHILE (vIndex <= vCount);
vEle = DIMNM(vVersionDim, vIndex);
IF (pAttributeType @= 'N');
ATTRPUTN(NUMBR(pDefaultValue), vVersionDim, vEle, pAttribute);
ELSE;
ATTRPUTS(pDefaultValue, vVersionDim, vEle, pAttribute);
ENDIF;
vIndex = vIndex + 1;
END;
ENDIF;
ENDIF;

vPlanIndex = vPlanIndex + 1;
END;

ELSE;

IF (DIMIX(vPlanDim, pPlan) = 0);
PROCESSBREAK;
ENDIF;

vPlan = pPlan;
IF (pVersion @= '<ALL>');
IF (DIMENSIONEXISTS(vPlan) <> 0);
vVersionIndex = 1;
vVersionCount = DIMSIZ(vPlan);
WHILE (vVersionIndex <= vVersionCount);
vVersion = DIMNM(vPlan, vVersionIndex);

vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;
IF (DIMENSIONEXISTS(vVersionDim) <> 0);
vIndex = 1;
vCount = DIMSIZ(vVersionDim);
WHILE (vIndex <= vCount);
vEle = DIMNM(vVersionDim, vIndex);
IF (pAttributeType @= 'N');
ATTRPUTN(NUMBR(pDefaultValue), vVersionDim, vEle, pAttribute);
ELSE;
ATTRPUTS(pDefaultValue, vVersionDim, vEle, pAttribute);
ENDIF;
vIndex = vIndex + 1;
END;
ENDIF;

vVersionIndex = vVersionIndex + 1;
END;

ENDIF;

ELSE;
vVersion = pVersion;
vVersionDim = '}sm_versiontasks@' | vPlan | '@' | vVersion;

IF (DIMENSIONEXISTS(vVersionDim) <> 0);
vIndex = 1;
vCount = DIMSIZ(vVersionDim);
WHILE (vIndex <= vCount);
vEle = DIMNM(vVersionDim, vIndex);
IF (pAttributeType @= 'N');
ATTRPUTN(NUMBR(pDefaultValue), vVersionDim, vEle, pAttribute);
ELSE;
ATTRPUTS(pDefaultValue, vVersionDim, vEle, pAttribute);
ENDIF;
vIndex = vIndex + 1;
END;
ENDIF;

ENDIF;

ENDIF;
ENDIF;
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
1217,1
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
911,
912,
913,
914,
915,
916,
917,1
918,1
919,0
920,50000
921,""
922,""
923,0
924,""
925,""
926,""
927,""
